<?php
/**
 * @package n3t Copylink
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2010 - 2016 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined( '_JEXEC' ) or die( 'Restricted access' );

class plgSystemN3tCopylink extends JPlugin {

	public function onAfterDispatch()
	{		
    $app = JFactory::getApplication();
    if ($app->isSite()) {
      $this->loadLanguage();
      $doc = JFactory::getDocument();
      JHtml::script('plg_n3tcopylink/copylink.js',false,true);
      
      $suffix = $this->params->def('suffix', JText::_('PLG_SYSTEM_N3TCOPYLINK_DEFAULT_SUFFIX'));
      
      $suffix = str_replace(array("\n","\r","'"),array("","","\'"),$suffix);
      $suffix = preg_replace('/{url}/i',"'+location.href+'",$suffix);
      $suffix = preg_replace('/{title}/i',"'+document.title+'",$suffix);
      $suffix = preg_replace('/{siteurl}/i',htmlspecialchars(JUri::base(false)),$suffix);
      $suffix = preg_replace('/{sitetitle}/i',htmlspecialchars($app->getCfg('sitename')),$suffix);
      
      $min_selection = (int)$this->params->def('min_selection', 20);

      $doc->addScriptDeclaration("
        CopyLink.addEvent(window, 'load', function () {
        	new CopyLink({
        		container : document.body,
        		handler : function () {
        			return '".$suffix."';
        		},
            minimalSelection: ".$min_selection."
        	});
        });
      ");
    }
	}
}
